Subject: Re: bug#54698: non-recursive GC marking [PATCH]

From: Phil Sainty <[email-masked]>
Date: Sat, 09 Apr 2022 12:28:54 +1200

On 2022-04-09 01:07, Lars Ingebrigtsen wrote:
> Po Lu <[email-masked]> writes:
>> IMO, it is reasonable to recommend the option that works
>> best for us, which is to turn overcommit off.
> 
> I don't think so, and neither does Stefan M., but I won't
> press the issue.

How about we don't "recommend" anything, but instead simply
describe the issue and the options available?

If users see a *recommendation*, they might follow it without
understanding the ramifications.

If we're not pressuring users in any direction, then they
are less likely to make a change without researching it for
themselves.  (Indeed we might even "recommend" that they
research it for themselves, and provide some pointers to
where they can learn more about feature and its pros and
cons.)

I don't see any harm in pointing out the existence of this
feature, but advocating for a non-default configuration
seems like a rather dubious idea to me.

-Phil